%define _python_dist_allow_version_zero 1

Name:           python-emote
Version:        4.0.2
Release:        2%{?dist}
Summary:        Emoji Picker for Linux written in GTK3

License:        GPL-3.0
URL:            https://github.com/JurajMarcin/Emote
Source:         %{url}/archive/v%{version}/Emote-%{version}.tar.gz

Patch0001:      0001-Add-data-to-setup.py.patch
Patch0002:      0002-Update-desktop-file.patch

BuildArch:      noarch
BuildRequires:  python3-devel

Requires:       xdotool

%global _description %{expand:
Emote is a modern emoji picker for Linux. Written in GTK3, Emote is lightweight
and stays out of your way. Launch the emoji picker with the configurable
keyboard shortcut, and select one or more emojis to have them be
automatically pasted into your currently focused app.}

%description %_description

%package -n python3-emote
Summary:        %{summary}

%description -n python3-emote %_description


%prep
%autosetup -p1 -n Emote-%{version}
cp %{_builddir}/Emote-%{version}/static/logo.svg %{_builddir}/Emote-%{version}/static/emote.svg
cp -r %{_builddir}/Emote-%{version}/static %{_builddir}/Emote-%{version}/emote/static

%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files emote


%files -n python3-emote -f %{pyproject_files}
%doc README.*
%license LICENSE.md
%{_bindir}/emote
%{_datarootdir}/applications/com.tomjwatson.Emote.desktop
%{_datarootdir}/icons/hicolor/scalable/apps/emote.svg


%changelog
* Thu Jan 25 2024 Juraj Marcin <juraj@jurajmarcin.com> - 4.0.2-2style.css
- Copy static files needed at runtime

* Thu Jan 25 2024 Juraj Marcin <juraj@jurajmarcin.com> - 4.0.2-1
- Add xdotool dependency
- Add data files (icon, desktop)

* Wed Jan 24 2024 Juraj Marcin <juraj@jurajmarcin.com> - 4.0.2-0
- Initial release
